Rudiments

Rudiments is a C++ class library for developing systems and applications.

With Rudiments, you can develop systems and applications using intuitive frameworks,
lightweight data structures, and comprehensive utility classes.

Advantages

Intuitive Frameworks - processes and threads, clients and servers, parsers, loggers, and compilers
Comprehensive Utility Classes - command line, environment, encryption, random numbers, regular expressions...
Data Structures - buffers, arrays, linked lists, and dictionaries

Lightweight Implementation - tight wrappers, minimal reinvention
C++ As a Better C - shallow heirachies, few templates, familiar paradigms, but object oriented
Compatibility - Linux, Unix, Windows... x64, x86, ARM, Sparc, Mips, PPC... glibc, uClibc...

Installation

Installing Rudiments

Programming

Rudiments Programming Guide
Rudiments Class Reference